<nz-spin nzTip="Loading..." [nzSpinning]="isLoading">
    <!-- SELLING CONSTRUCTION -->
    <h4>Selling construction</h4>

    <div *ngIf="sellOffer === null" nz-row nzGutter="10">
        <div nz-col nzSpan="8">
            <nz-input-number style="width: 100%;" [(ngModel)]="sellPrice" [nzMin]="0.01" [nzStep]="1"
                [nzPlaceHolder]="'Price'">
            </nz-input-number>
        </div>
        <div nz-col nzSpan="8">
            <nz-select style="width: 100%;" nzShowSearch nzPlaceHolder="Select currency" [(ngModel)]="sellCurrencyId">
                <nz-option *ngFor="let item of currencies" [nzLabel]="item.currencyName" [nzValue]="item.currencyId">
                </nz-option>
            </nz-select>
        </div>
        <div nz-col nzSpan="8">
            <button style="width: 100%;" nz-button nzType="primary" (click)="sellConstruction()">Sell construction</button>
        </div>
    </div>

    <div *ngIf="sellOffer !== null" nz-row nzGutter="10">
        <div nz-col nzSpan="16">
            <div style="margin-top: 5px; text-align: center">{{sellOffer?.price}}
                {{ sellOffer?.currencyName }}</div>
        </div>
        <div nz-col nzSpan="8">
            <button style="width: 100%; background-color: red;" nz-button nzType="primary"
                (click)="removeSellOffer()">Remove sell offer</button>
        </div>
    </div>

    <div *ngIf="constructionType === 10">
        <h4>Hotel room offer</h4>

        <div *ngIf="constructionInfo.price === null" nz-row nzGutter="10">
            <div nz-col nzSpan="8">
                <nz-input-number style="width: 100%;" [(ngModel)]="price" [nzMin]="0.01" [nzStep]="1"
                    [nzPlaceHolder]="'Price'">
                </nz-input-number>
            </div>
            <div nz-col nzSpan="8">
                <nz-select style="width: 100%;" nzShowSearch nzPlaceHolder="Select currency" [(ngModel)]="currencyId">
                    <nz-option *ngFor="let item of currencies" [nzLabel]="item.currencyName"
                        [nzValue]="item.currencyId"></nz-option>
                </nz-select>
            </div>
            <div nz-col nzSpan="8">
                <button style="width: 100%;" nz-button nzType="primary" (click)="addRoomOffer()">Add offer</button>
            </div>
        </div>

        <div *ngIf="constructionInfo.price !== null" nz-row nzGutter="10">
            <div nz-col nzSpan="16">
                <div style="margin-top: 5px; text-align: center">{{constructionInfo.price}}
                    {{ constructionInfo.currencyName }}</div>
            </div>
            <div nz-col nzSpan="8">
                <button style="width: 100%; background-color: red;" nz-button nzType="primary"
                    (click)="removeRoomOffer()">Remove offer</button>
            </div>
        </div>
    </div>
</nz-spin>